## squidtaild 2.1a6

=== perl_modules/ConfigReader-Simple-0.5/Makefile ===
# This Makefile is for the ConfigReader::Simple extension to perl.
#
# It was generated automatically by MakeMaker version
# 5.4302 (Revision: 1.222) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#	ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#	NAME => q[ConfigReader::Simple]
#	VERSION_FROM => q[lib/ConfigReader/Simple.pm]
#	dist => { COMPRESS=>q[gzip -9f], SUFFIX=>q[.gz] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl5/5.00503/i386-linux/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS = -fpic
CCDLFLAGS = -rdynamic
DLEXT = so
DLSRC = dl_dlopen.xs
LD = cc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = 
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.2.14-1mdksmp
RANLIB = :
SO = so
EXE_EXT = 


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
NAME = ConfigReader::Simple
DISTNAME = ConfigReader-Simple
NAME_SYM = ConfigReader_Simple
VERSION = 0.5
VERSION_SYM = 0_5
XS_VERSION = 0.5
INST_BIN = blib/bin
INST_EXE = blib/script
INST_LIB = blib/lib
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
PREFIX = /usr
INSTALLDIRS = site
INSTALLPRIVLIB = $(PREFIX)/lib/perl5/5.00503
INSTALLARCHLIB = $(PREFIX)/lib/perl5/5.00503/i386-linux
INSTALLSITELIB = $(PREFIX)/lib/perl5/site_perl/5.005
INSTALLSITEARCH = $(PREFIX)/lib/perl5/site_perl/5.005/i386-linux
INSTALLBIN = $(PREFIX)/bin
INSTALLSCRIPT = $(PREFIX)/bin
PERL_LIB = /usr/lib/perl5/5.00503
PERL_ARCHLIB = /usr/lib/perl5/5.00503/i386-linux
SITELIBEXP = /usr/lib/perl5/site_perl/5.005
SITEARCHEXP = /usr/lib/perl5/site_perl/5.005/i386-linux
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl5/5.00503/i386-linux/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl

VERSION_MACRO = VERSION
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"

MAKEMAKER = /usr/lib/perl5/5.00503/ExtUtils/MakeMaker.pm
MM_VERSION = 5.4302

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# ROOTEXT = Directory part of FULLEXT with leading slash (eg /DBD)  !!! Deprecated from MM 5.32  !!!
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = ConfigReader/Simple
BASEEXT = Simple
PARENT_NAME = ConfigReader
DLBASE = $(BASEEXT)
VERSION_FROM = lib/ConfigReader/Simple.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES= 
C_FILES = 
O_FILES = 
H_FILES = 
MAN1PODS = 
MAN3PODS = 
INST_MAN1DIR = blib/man1
INSTALLMAN1DIR = $(PREFIX)/man/man1
MAN1EXT = 1
INST_MAN3DIR = blib/man3
INSTALLMAN3DIR = $(PREFIX)/lib/perl5/man/man3
MAN3EXT = 3
PERM_RW = 644
PERM_RWX = 755

# work around a famous dec-osf make(1) feature(?):
makemakerdflt: all

.SUFFIXES: .xs .c .C .cpp .cxx .cc $(OBJ_EXT)

# Nick wanted to get rid of .PRECIOUS. I don't remember why. I seem to recall, that
# some make implementations will delete the Makefile when we rebuild it. Because
# we call false(1) when we rebuild it. So make(1) is not completely wrong when it
# does so. Our milage may vary.
# .PRECIOUS: Makefile    # seems to be not necessary anymore

.PHONY: all config static dynamic test linkext manifest

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h

# Where to put things:
INST_LIBDIR      = $(INST_LIB)/ConfigReader
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/ConfigReader

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC  =
INST_DYNAMIC =
INST_BOOT    =

EXPORT_LIST = 

PERL_ARCHIVE = 

TO_INST_PM = example.pl \
	lib/ConfigReader/Simple.pm

PM_TO_BLIB = lib/ConfigReader/Simple.pm \
	$(INST_LIB)/ConfigReader/Simple.pm \
	example.pl \
	$(INST_LIBDIR)/example.pl


# --- MakeMaker tool_autosplit section:

# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERL) "-I$(PERL_ARCHLIB)" "-I$(PERL_LIB)" -e 'use AutoSplit;autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1) ;'


# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:

SHELL = /bin/sh
CHMOD = chmod
CP = cp
LD = cc
MV = mv
NOOP = $(SHELL) -c true
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1

# The following is a portable way to say mkdir -p
# To see which directories are created, change the if 0 to if 1
MKPATH = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e mkpath

# This helps us to minimize the effect of the .exists files A yet
# better solution would be to have a stable file in the perl
# distribution with a timestamp of zero. But this solution doesn't
# need any changes to the core distribution and works with older perls
EQUALIZE_TIMESTAMP = $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Command -e eqtime

# Here we warn users that an old packlist file was found somewhere,
# and that they should call some uninstall routine
WARN_IF_OLD_PACKLIST = $(PERL) -we 'exit unless -f $$ARGV[0];' \
-e 'print "WARNING: I have found an old package in\n";' \
-e 'print "\t$$ARGV[0].\n";' \
-e 'print "Please make sure the two installations are not conflicting\n";'

UNINST=0
VERBINST=1

MOD_INSTALL = $(PERL) -I$(INST_LIB) -I$(PERL_LIB) -MExtUtils::Install \
-e "install({@ARGV},'$(VERBINST)',0,'$(UNINST)');"

DOC_INSTALL = $(PERL) -e '$$\="\n\n";' \
-e 'print "=head2 ", scalar(localtime), ": C<", shift, ">", " L<", shift, ">";' \
-e 'print "=over 4";' \
-e 'while (defined($$key = shift) and defined($$val = shift)){print "=item *";print "C<$$key: $$val>";}' \
-e 'print "=back";'

UNINSTALL =   $(PERL) -MExtUtils::Install \
-e 'uninstall($$ARGV[0],1,1); print "\nUninstall is deprecated. Please check the";' \
-e 'print " packlist above carefully.\n  There may be errors. Remove the";' \
-e 'print " appropriate files manually.\n  Sorry for the inconveniences.\n"'


# --- MakeMaker dist section:

DISTVNAME = $(DISTNAME)-$(VERSION)
TAR  = tar
TARFLAGS = cvf
ZIP  = zip
ZIPFLAGS = -r
COMPRESS = gzip -9f
SUFFIX = .gz
SHAR = shar
PREOP = @$(NOOP)
POSTOP = @$(NOOP)
TO_UNIX = @$(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"


# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:

#all ::	config $(INST_PM) subdirs linkext manifypods

all :: pure_all manifypods
	@$(NOOP)

pure_all :: config pm_to_blib subdirs linkext
	@$(NOOP)

subdirs :: $(MYEXTLIB)
	@$(NOOP)

config :: Makefile $(INST_LIBDIR)/.exists
	@$(NOOP)

config :: $(INST_ARCHAUTODIR)/.exists
	@$(NOOP)

config :: $(INST_AUTODIR)/.exists
	@$(NOOP)

config :: Version_check
	@$(NOOP)


$(INST_AUTODIR)/.exists :: /usr/lib/perl5/5.00503/i386-linux/CORE/perl.h
	@$(MKPATH) $(INST_AUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.00503/i386-linux/CORE/perl.h $(INST_AUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/lib/perl5/5.00503/i386-linux/CORE/perl.h
	@$(MKPATH) $(INST_LIBDIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.00503/i386-linux/CORE/perl.h $(INST_LIBDIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/lib/perl5/5.00503/i386-linux/CORE/perl.h
	@$(MKPATH) $(INST_ARCHAUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl5/5.00503/i386-linux/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

help:
	perldoc ExtUtils::MakeMaker

Version_check:
	@$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) \
		-MExtUtils::MakeMaker=Version_check \
		-e "Version_check('$(MM_VERSION)')"


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	@$(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make dynamic"
#dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT) $(INST_PM)
dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT)
	@$(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
#static :: Makefile $(INST_STATIC) $(INST_PM)
static :: Makefile $(INST_STATIC)
	@$(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:

manifypods : pure_all
	@$(NOOP)


# --- MakeMaker processPL section:


# --- MakeMaker installbin section:


# --- MakeMaker subdirs section:

# none

# --- MakeMaker clean section:

# Delete temporary files but do not touch installed files. We don't delete
# the Makefile here so a later make realclean still has a makefile to use.

clean ::
	-rm -rf ./blib $(MAKE_APERL_FILE) $(INST_ARCHAUTODIR)/extralibs.all perlmain.c mon.out core so_locations pm_to_blib *~ */*~ */*/*~ *$(OBJ_EXT) *$(LIB_EXT) perl.exe $(BOOTSTRAP) $(BASEEXT).bso $(BASEEXT).def $(BASEEXT).exp
	-mv Makefile Makefile.old $(DEV_NULL)


# --- MakeMaker realclean section:

# Delete temporary files (via clean) and also delete installed files
realclean purge ::  clean
	rm -rf $(INST_AUTODIR) $(INST_ARCHAUTODIR)
	rm -f $(INST_LIB)/ConfigReader/Simple.pm $(INST_LIBDIR)/example.pl
	rm -rf Makefile Makefile.old


# --- MakeMaker dist_basics section:

distclean :: realclean distcheck

distcheck :
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Manifest=fullcheck \
		-e fullcheck

skipcheck :
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Manifest=skipcheck \
		-e skipcheck

manifest :
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Manifest=mkmanifest \
		-e mkmanifest


# --- MakeMaker dist_core section:

dist : $(DIST_DEFAULT)
	@$(PERL) -le 'print "Warning: Makefile possibly out of date with $$vf" if ' \
	    -e '-e ($$vf="$(VERSION_FROM)") and -M $$vf < -M "Makefile";'

tardist : $(DISTVNAME).tar$(SUFFIX)

zipdist : $(DISTVNAME).zip

$(DISTVNAME).tar$(SUFFIX) : distdir
	$(PREOP)
	$(TO_UNIX)
	$(TAR) $(TARFLAGS) $(DISTVNAME).tar $(DISTVNAME)
	$(RM_RF) $(DISTVNAME)
	$(COMPRESS) $(DISTVNAME).tar
	$(POSTOP)

$(DISTVNAME).zip : distdir
	$(PREOP)
	$(ZIP) $(ZIPFLAGS) $(DISTVNAME).zip $(DISTVNAME)
	$(RM_RF) $(DISTVNAME)
	$(POSTOP)

uutardist : $(DISTVNAME).tar$(SUFFIX)
	uuencode $(DISTVNAME).tar$(SUFFIX) \
		$(DISTVNAME).tar$(SUFFIX) > \
		$(DISTVNAME).tar$(SUFFIX)_uu

shdist : distdir
	$(PREOP)
	$(SHAR) $(DISTVNAME) > $(DISTVNAME).shar
	$(RM_RF) $(DISTVNAME)
	$(POSTOP)


# --- MakeMaker dist_dir section:

distdir :
	$(RM_RF) $(DISTVNAME)
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Manifest=manicopy,maniread \
		-e "manicopy(maniread(),'$(DISTVNAME)', '$(DIST_CP)');"


# --- MakeMaker dist_test section:

disttest : distdir
	cd $(DISTVNAME) && $(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) Makefile.PL
	cd $(DISTVNAME) && $(MAKE)
	cd $(DISTVNAME) && $(MAKE) test


# --- MakeMaker dist_ci section:

ci :
	$(PERL) -I$(PERL_ARCHLIB) -I$(PERL_LIB) -MExtUtils::Manifest=maniread \
		-e "@all = keys %{ maniread() };" \
		-e 'print("Executing $(CI) @all\n"); system("$(CI) @all");' \
		-e 'print("Executing $(RCS_LABEL) ...\n"); system("$(RCS_LABEL) @all");'


# --- MakeMaker install section:

install :: all pure_install doc_install

=== debian/changelog ===
squidtaild (2.1a6-7) unstable; urgency=medium

  * QA upload.
  * Orphan package
    Closes: #1118581
  * Maintain package on Salsa in Debian team
  * Provide systemd unit file
    Closes: #1039384
  * d/copyright:
     - Fix Format and other header fields
     - Review
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Drop fields with obsolete URLs.
  * Add Pre-Depends
  * d/rules: short dh
  * Add Homepage
  * Lintian-overrides for obsolete-url-in-packaging
  * Fake watch file (in version=5)

 -- Andreas Tille <tille@debian.org>  Wed, 12 Nov 2025 20:23:38 +0100

squidtaild (2.1a6-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added missing targets build-arch and build-indep.
    (Closes: #999034)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Mon, 18 Apr 2022 20:56:26 -0300

squidtaild (2.1a6-6.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 13:18:12 +0100

squidtaild (2.1a6-6) unstable; urgency=low

  * New maintainer. Closes: #576162.
  * Standard-Versions updated to 3.9.1.
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/copyright.
    + Updated to DEP5.
    + Updated source field.
  * Create debian/watch.
  * Added Homepage field in debian/control.
  * debian/control, debian/compat: bump to DH7.

 -- Alberto Capella Silva <alberkman@gmail.com>  Fri, 20 Aug 2010 10:54:08 -0430

squidtaild (2.1a6-5.4) unstable; urgency=low

  * Non-maintainer upload.
  * Don't install files from embedded configreader-simple. (Closes: #532245).
    + Add depends on libconfigreader-simple-perl.
  * Some debian/copyright clean-up.
  * Bump debhelper build-dep to 5.
    + Move DH_COMPAT from rules to compat and set to 5.
    + Remove now unnecessary debian/conffiles.
  * Move to install file instead of cp.
  * Add ${misc:Depends} for debhelper package.
  * Move perl to Build-Depends-Indep.
  * Bump Standards Version to 3.8.3.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 09 Oct 2009 12:24:56 -0400

squidtaild (2.1a6-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with Perl 5.10.  Closes: #468200.

 -- Mark Hymers <mhy@debian.org>  Sat, 05 Apr 2008 14:18:33 +0100

squidtaild (2.1a6-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #468306)
  * Moved build dependencies to Build-Depends because they are used by clean

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 00:38:42 +0200

squidtaild (2.1a6-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: fixed bashisms. (Closes: #459133)

 -- Miguel Angel Ruiz Manzano <debianized@gmail.com>  Mon, 21 Jan 2008 13:59:12 -0300

squidtaild (2.1a6-5) unstable; urgency=low

  * Squidtaild start/stop script error (Closes: #336087).
    Patch by Lucas Mellino <lmellino@sgp.gov.ar>
  * Update of Debian Policy.

 -- Víctor Pérez Pereira <vperez@debianvenezuela.org>  Wed, 22 Feb 2006 14:29:40 -0400

squidtaild (2.1a6-4) unstable; urgency=low

  * Maintainer's new email address.

 -- Víctor Pérez Pereira <vperez@debianvenezuela.org>  Wed, 12 Jan 2005 23:44:23 -0400

squidtaild (2.1a6-3) unstable; urgency=low

  * New maintainer (closes: #213402).
  * Fixed "Doesn't remove files in /etc on purge" (Closes: #245489)
    Changed debian/conffiles and debian/rules.
  * Fixed "Missing man page for squidtaild" (Closes: #273177)
    Patch by Radu Spineanu <radu@timisoara.roedu.net>

 -- Víctor Pérez Pereira <vperez@debianvenezuela.org>  Wed, 05 Jan 2005 22:41:01 -0400

squidtaild (2.1a6-2) unstable; urgency=low

  * Maintainer field set to QA group.
  * Standard-Versions updated to 3.6.1.
  * Small modifications to debian/copyright.
  * dh_undocumented removed from debian/rules.

 -- Emanuele Rocca <ema@debian.org>  Sun, 16 Nov 2003 20:04:37 +0100

squidtaild (2.1a6-1.1) unstable; urgency=low

  * NMU, with maintainer's permission.
  * Add Build-Depends-Indep on debhelper.  Closes: #190532.
  * Correct spelling error and grammar in package description.
    Closes: #125378.
  * Remove bogus dependency on debhelper.
  * Depends on perl, Recommends squid.
  * Update for perl policy.  Moves perl module to /usr/share/perl5,
    man pages to /usr/share/man.

 -- Daniel Schepler <schepler@debian.org>  Mon, 18 Aug 2003 23:03:52 -0700

squidtaild (2.1a6-1) unstable; urgency=low

  * Initial package

 -- Behan Webster <behanw@pobox.com>  Sun, 26 Mar 2000 22:07:18 -0500

=== debian/control ===
Source: squidtaild
Standards-Version: 4.7.2
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: web
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 perl,
Vcs-Browser: https://salsa.debian.org/debian/squidtaild
Vcs-Git: https://salsa.debian.org/debian/squidtaild.git
Homepage: https://code.google.com/archive/p/squidtaild/

Package: squidtaild
Architecture: all
Depends:
 ${perl:Depends},
 ${misc:Depends},
 libconfigreader-simple-perl,
Recommends:
 squid,
Pre-Depends: ${misc:Pre-Depends}
Description: Squid log monitoring program
 Squidtaild is a very fast, highly configurable Perl
 program that will dynamically create html pages that
 display the violations that people have made against
 one or more of the filters you have applied to the
 squid proxy logging system.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

tmp=$(CURDIR)/debian/squidtaild

ifndef PERL
PERL=/usr/bin/perl
endif

%:
	dh $@

override_dh_auto_build:
	( cd perl_modules/ConfigReader-Simple-0.5 ; \
	$(PERL) Makefile.PL INSTALLDIRS=vendor; \
	$(MAKE) )

override_dh_auto_clean:
	( cd perl_modules/ConfigReader-Simple-0.5 ; perl Makefile.PL ; make distclean )

override_dh_auto_install:
	( cd perl_modules/ConfigReader-Simple-0.5 ; make pure_install DESTDIR=$(tmp) )
	[ ! -d $(tmp)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty --parents --verbose $(tmp)/usr/lib/perl5

override_dh_install:
	dh_install
	touch $(tmp)/etc/squidtaild/history
	touch $(tmp)/etc/squidtaild/violators
	chmod 644 $(tmp)/etc/squidtaild/squidtaild.conf
	# Remove code copy of libconfigreader-simple-perl
	rm -rf $(tmp)/usr/share/perl5 \
	       $(tmp)/usr/share/man/man3

override_dh_installdocs:
	dh_installdocs
	touch $(tmp)/usr/share/doc/squidtaild/overview.txt
	(for i in perl_modules/ConfigReader-Simple-0.5/blib/lib/ConfigReader/*.pm; do echo ConfigReader::`basename $$i .pm` ; pod2text $$i | perl -ne '$$/=""; s/^DESCRIPTION// && print'; done) >> $(CURDIR)/debian/squidtaild/usr/share/doc/squidtaild/overview.txt

=== debian/watch ===
Version: 5

# fails due to JavScript ... but project is dead anyway so use fake watch file
#Source: https://code.google.com/archive/p/@PACKAGE@/downloads
#Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

Dversion-Mangle: s/.*/0.No-Track/
Source: https://people.debian.org/~eriberto/
Matching-Pattern: FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz
